	ORG	700H            ;Tabelle in pagina 7

;-----------------------------------------------------
;Tabella per associare ad un numero i corrispondenti 7 segmenti del display

TBL_7SEGMENT_DISPLAY
	addwf	PCL,f

;       7 Segmenti display      ;Cifra numerica o simbolo
;       ordine: a f g e d dp c b

        retlw   B'11011011'     ;0 (indice 0)
        retlw   B'00000011'     ;1
        retlw   B'10111001'     ;2
        retlw   B'10101011'     ;3
        retlw   B'01100011'     ;4
        retlw   B'11101010'     ;5
        retlw   B'11111010'     ;6
        retlw   B'10000011'     ;7
        retlw   B'11111011'     ;8
        retlw   B'11101011'     ;9

        retlw   B'00000000'     ;spento (indice 10)
        retlw   B'00100000'     ;-
        retlw   B'11111000'     ;E
        retlw   B'00110000'     ;r


;-----------------------------------------------------
;Tabella per abilitare le 6 linee della matrice di ingresso

TBL_MAINPUT_LINE_ENABLE
	addwf	PCL,f

        retlw   B'01000000'      ;Linea 1 matrice ingresso
        retlw   B'00100000'      ;2
        retlw   B'10000000'      ;3
        retlw   B'00010000'      ;4
        retlw   B'00001000'      ;5
        retlw   B'00000100'      ;6


;-----------------------------------------------------
;Tabella per confronto stringhe ricevute da porta seriale (da modulo VS1000)

TBL_RX_STRING
	addwf	PCL,f

        retlw   'S'              ;SD (presenza memoria SD)
        retlw   'D'

        retlw   '!'              ;!SD (rimozione memoria SD)
        retlw   'S'
        retlw   'D'

        retlw   'p'              ;play (inizio riproduzione)
        retlw   'l'
        retlw   'a'
        retlw   'y'

        retlw   'd'              ;done (fine riproduzione)
        retlw   'o'
        retlw   'n'
        retlw   'e'

        retlw   0x00             ;tappo (fine tabella)

;-----------------------------------------------------
;Tabella per confronto lunghezza stringhe ricevute da porta seriale (da modulo VS1000)

TBL_RX_STRING_LEN
	addwf	PCL,f

        retlw   D'2'             ;SD
        retlw   D'3'             ;!SD
        retlw   D'4'             ;play
        retlw   D'4'             ;done
