;---------------------------------------------------------------------------------
;Routine mainloop di test funzionamento
;Stampa stato ingressi

main_test1
        call    init_matrix_input        ;Inizializza variabili di ingresso matrice

mt1_0   movf    CMaLine,w                ;Stampa riga di ingresso matrice (0..5)
        addlw   '0'                      ;che  acquisita
        call    tx_char

        call    read_matrix_input_edge   ;Legge ingressi su matrice e verifica fronte 0->1

        movf    CMaDelay,f               ;Stampa 6 variabili della matrice di ingresso (5*6=30 bit)
        btfss   STATUS,Z                 ;al termine di un ciclo di lettura (contatori =0)
        goto    mt1_4
        movf    CMaLine,f
        btfss   STATUS,Z
        goto    mt1_4

        clrf    CMaByte
mt1_1   movlw   ' '                      ;Stampa spazio separatore fra due gruppi di 5 bit
        call    tx_char
        movlw   0x05
        movwf   CMaBit
        movlw   MaInPrev1+0x00
        addwf   CMaByte,w
        movwf   FSR
        movf    INDF,w
        movwf   TempM
mt1_2   rlf     TempM,f
        movlw   '0'
        btfsc   STATUS,C
        movlw   '1'
        call    tx_char
        decfsz  CMaBit,f
        goto    mt1_2
        incf    CMaByte,f
        movf    CMaByte,w
        xorlw   0x06
        btfss   STATUS,Z
        goto    mt1_1

        movf    MaInEdge,w               ;Se rilevato fronte, scrive ingresso su display
        btfsc   STATUS,Z                 ;e su porta seriale
        goto    mt1_3
        call    conv_dec_2digit          ;Converte numero in due digit
        movf    DigD_H,w                 ;Scrive numero ingresso su display
        movwf   DigitH
        movf    DigD_L,w
        movwf   DigitL
        movlw   ' '                      ;Scrive numero ingresso su porta seriale
        call    tx_char
        movf    DigD_H,w
        addlw   '0'
        call    tx_char
        movf    DigD_L,w
        addlw   '0'
        call    tx_char

mt1_3   movlw   D'10'                    ;Stampa ritorno a capo su porta seriale
        call    tx_char
        movlw   D'13'
        call    tx_char

mt1_4   call    drive_hb_led             ;Fa lampeggiare il led Heartbeat
        call    delay_100ms              ;Ritardo 100ms
        goto    mt1_0                    ;Salta al Loop


;---------------------------------------------------------------------------------
;Routine mainloop di test funzionamento
;Numeri incrementali su display e su seriale

main_test2
        clrf    Count1                   ;Azzera contatore
mt2_1   movf    Count1,w
        call    conv_dec_2digit          ;Converte il contatore in due digit
        movf    DigD_H,w                 ;Copia per stampa su display
        movwf   DigitH
        movf    DigD_L,w
        movwf   DigitL
        movf    DigD_H,w                 ;Converte in testo e stampa su seriale
        addlw   '0'
        call    tx_char
        movf    DigD_L,w
        addlw   '0'
        call    tx_char
        movlw   D'10'                    ;Stampa ritorno a capo
        call    tx_char
        movlw   D'13'
        call    tx_char

        call    drive_hb_led             ;F lampeggiare il led Hbeat

        call    delay_100ms              ;Attesa 400ms
        call    delay_100ms
        call    delay_100ms
        call    delay_100ms

        incf    Count1,f                 ;Incrementa contatore fino a 99
        movf    Count1,w
        xorlw   D'100'
        btfss   STATUS,Z
        goto    mt2_1
        goto    main_test2


;---------------------------------------------------------------------------------
;Routine mainloop di test funzionamento
;Ricezione flag porta seriale

main_test3
        movlw   D'99'                    ;Inizializza contatore
        movwf   Count1
        movlw   0x01                     ;Imposta Traccia per confronto carattere
        movwf   ChrTrk                   ;flag play (modulo MDFLY)

mt3_1   movf    Count1,w                 ;Stampa contatore su porta seriale
        call    conv_dec_2digit
        movf    DigD_H,w
        addlw   '0'
        call    tx_char
        movf    DigD_L,w
        addlw   '0'
        call    tx_char

        movlw   ' '                      ;Stampa spazio separatore
        call    tx_char

        movf    ChrRx,w                  ;Stampa ultimo carattere ricevuto da seriale
        call    tx_char

        movlw   ' '                      ;Stampa spazio separatore
        call    tx_char

        movf    ChrRx,w                  ;Stampa ultimo carattere ricevuto da serile
        call    conv_hex_2digit          ;in formato esadecimale
        movf    DigD_H,w
        call    tx_char
        movf    DigD_L,w
        call    tx_char

        movlw   ' '                      ;Stampa spazio separatore
        call    tx_char

        btfss   F_MODTYPE                ;Salta se selezionato modulo MDFLY
        goto    mt3_2

        movf    PTblRxStr,w              ;Stampa variabile puntatore tabella
        call    conv_dec_2digit
        movf    DigD_H,w
        addlw   '0'
        call    tx_char
        movf    DigD_L,w
        addlw   '0'
        call    tx_char

        movlw   ' '                     ;Stampa spazio separatore
        call    tx_char

        movf    CRxStr,w                ;Stampa variabile contatore stringa
        call    conv_dec_2digit
        movf    DigD_H,w
        addlw   '0'
        call    tx_char
        movf    DigD_L,w
        addlw   '0'
        call    tx_char

        movlw   ' '                     ;Stampa spazio separatore
        call    tx_char

        movf    CRxByte,w               ;Stampa variabile contatore byte
        call    conv_dec_2digit
        movf    DigD_H,w
        addlw   '0'
        call    tx_char
        movf    DigD_L,w
        addlw   '0'
        call    tx_char

        movlw   ' '                     ;Stampa spazio separatore
        call    tx_char

mt3_2   movlw   '0'                     ;Stampa flag1
        btfsc   F_RX_SD
        movlw   '1'
        call    tx_char

        movlw   '0'                     ;Stampa flag2
        btfsc   F_RX_NOSD
        movlw   '1'
        call    tx_char

        movlw   '0'                     ;Stampa flag3
        btfsc   F_RX_PLAY
        movlw   '1'
        call    tx_char

        movlw   '0'                     ;Stampa flag4
        btfsc   F_RX_STOP
        movlw   '1'
        call    tx_char

        movlw   D'10'                   ;Stampa ritorno a capo
        call    tx_char
        movlw   D'13'
        call    tx_char

        call    drive_hb_led            ;Lampeggio led Hbeat
        call    delay_100ms             ;Attesa 100ms

        decfsz  Count1,f                ;Decrementa contatore fino a 0
        goto    mt3_1
        clrf    FlagsRx
        goto    main_test3
